#!/bin/sh

if [ "$2" = "suspend" ]; then
  echo "<3>Dracut: found ToI/suspend signature in $1, trying to resume" > /dev/kmsg
  echo "swap:$1" >/sys/power/tuxonice/resume
  echo 1 >/sys/power/tuxonice/do_resume
  echo "<3>Dracut: no resume operation occured with $1, continue" >/dev/kmsg
elif [ "$2" = "swap" ]; then
  echo "<3>Dracut: found swap signature in $1, will be used as default if resume is not yet specified" > /dev/kmsg
  CURDEV=$(cat /sys/power/tuxonice/resume)
  [ -z "$CURDEV" ] && echo "swap:$1" >/sys/power/tuxonice/resume
fi

# always exit gracefully!
exit 0

